aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.DeleteUser

Synopsis

- data DeleteUser = DeleteUser Text
- data DeleteUserResponse = DeleteUserResponse

# Documentation

data DeleteUser Source #

Deletes the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteUser.html

Constructors

DeleteUser Text |

#### Instances

Instances details

SignQuery DeleteUser Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type ServiceConfiguration DeleteUser |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ServiceConfiguration DeleteUser = IamConfiguration

Methods

signQuery :: DeleteUser -> ServiceConfiguration DeleteUser queryType -> SignatureData -> SignedQuery Source #

Show DeleteUser Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser Methods showsPrec :: Int -> DeleteUser -> ShowS Source # show :: DeleteUser -> String Source # showList :: [DeleteUser] -> ShowS Source #
Eq DeleteUser Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser Methods (==) :: DeleteUser -> DeleteUser -> Bool Source # (/=) :: DeleteUser -> DeleteUser -> Bool Source #
Ord DeleteUser Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Methods

compare :: DeleteUser -> DeleteUser -> Ordering Source #

(<) :: DeleteUser -> DeleteUser -> Bool Source #

(<=) :: DeleteUser -> DeleteUser -> Bool Source #

(>) :: DeleteUser -> DeleteUser -> Bool Source #

(>=) :: DeleteUser -> DeleteUser -> Bool Source #

max :: DeleteUser -> DeleteUser -> DeleteUser Source #

min :: DeleteUser -> DeleteUser -> DeleteUser Source #

ResponseConsumer DeleteUser DeleteUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type ResponseMetadata DeleteUserResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ResponseMetadata DeleteUserResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteUser -> IORef (ResponseMetadata DeleteUserResponse) -> HTTPResponseConsumer DeleteUserResponse Source #

Transaction DeleteUser DeleteUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser
type ServiceConfiguration DeleteUser Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ServiceConfiguration DeleteUser = IamConfiguration

data DeleteUserResponse Source #

Constructors

DeleteUserResponse |

#### Instances

Instances details

AsMemoryResponse DeleteUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type MemoryResponse DeleteUserResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUser type MemoryResponse DeleteUserResponse = DeleteUserResponse

Methods

loadToMemory :: DeleteUserResponse -> ResourceT IO (MemoryResponse DeleteUserResponse) Source #

Show DeleteUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser Methods showsPrec :: Int -> DeleteUserResponse -> ShowS Source # show :: DeleteUserResponse -> String Source # showList :: [DeleteUserResponse] -> ShowS Source #
Eq DeleteUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser Methods (==) :: DeleteUserResponse -> DeleteUserResponse -> Bool Source # (/=) :: DeleteUserResponse -> DeleteUserResponse -> Bool Source #
Ord DeleteUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Methods

compare :: DeleteUserResponse -> DeleteUserResponse -> Ordering Source #

(<) :: DeleteUserResponse -> DeleteUserResponse -> Bool Source #

(<=) :: DeleteUserResponse -> DeleteUserResponse -> Bool Source #

(>) :: DeleteUserResponse -> DeleteUserResponse -> Bool Source #

(>=) :: DeleteUserResponse -> DeleteUserResponse -> Bool Source #

max :: DeleteUserResponse -> DeleteUserResponse -> DeleteUserResponse Source #

min :: DeleteUserResponse -> DeleteUserResponse -> DeleteUserResponse Source #

ResponseConsumer DeleteUser DeleteUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type ResponseMetadata DeleteUserResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ResponseMetadata DeleteUserResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteUser -> IORef (ResponseMetadata DeleteUserResponse) -> HTTPResponseConsumer DeleteUserResponse Source #

Transaction DeleteUser DeleteUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser
type MemoryResponse DeleteUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser type MemoryResponse DeleteUserResponse = DeleteUserResponse
type ResponseMetadata DeleteUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ResponseMetadata DeleteUserResponse = IamMetadata